#-------------------------------------------------
#
# Project created by QtCreator 2013-05-31T12:59:38
#
#-------------------------------------------------

TARGET = wfdisplay
TEMPLATE = lib
QT += core xml svg network

contains(QT_MAJOR_VERSION, 5) {

  message( "Qt major version is" )
  message( $$QT_MAJOR_VERSION )

  QT += widgets

  QT += printsupport

}
INCLUDEPATH += \
        $${PWD} \
        $$[QT_INSTALL_HEADERS]/lppmon/common

LIBS += -llppmoncommon

DEFINES += WFDISPLAY_LIBRARY

SOURCES += wfdisplay.cpp \
    wfplot.cpp \
    wfpage.cpp \
    pagespectra.cpp \
    asmpage.cpp


HEADERS += wfdisplay.h\
    wfplot.h \
    wfpage.h \
    wfdisplay_params.h \
    pagespectra.h \
    asmpage.h


header.path = $$[QT_INSTALL_HEADERS]/lppmon/wfdisplay
header.files = \
    wfdisplay.h \
    wfdisplay_global.h \
    wfpage.h \
    wfplot.h \
    wfdisplay_params.h \
    pagespectra.h \
    asmpage.h

target.path = $$[QT_INSTALL_LIBS]
isEmpty(target.path) {
        target.path = $(QTDIR)/lib
}

INSTALLS += header target
